org.vishia.gral.widget

## Enum GralFileSelector.ERefresh

- java.lang.Object
- - java.lang.Enum<GralFileSelector.ERefresh>
  - - org.vishia.gral.widget.GralFileSelector.ERefresh

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<GralFileSelector.ERefresh>
  Enclosing class:
    GralFileSelector

      private static enum GralFileSelector.ERefresh
      extends java.lang.Enum<GralFileSelector.ERefresh>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `doNothing`
    `refreshAll`
    `refreshChildren`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GralFileSelector.ERefresh` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static GralFileSelector.ERefresh[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### doNothing

          public static final GralFileSelector.ERefresh doNothing

    - #### refreshAll

          public static final GralFileSelector.ERefresh refreshAll

    - #### refreshChildren

          public static final GralFileSelector.ERefresh refreshChildren

  - ### Method Detail

    - #### values

          public static GralFileSelector.ERefresh[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GralFileSelector.ERefresh c : GralFileSelector.ERefresh.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GralFileSelector.ERefresh valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null